> ## Documentation Index
> Fetch the complete documentation index at: https://docs.composo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Trace Endpoint

> Fetch one trace with full details by id — backs deep links into the
Traces page (e.g. from the failure-clusters panel).



## OpenAPI

````yaml https://platform.composo.ai/api/evals-docs/openapi.json get /api/v1/traces/{trace_id}
openapi: 3.1.0
info:
  title: Evals API Documentation
  description: API documentation for the evaluation endpoints
  version: 1.0.0
servers:
  - url: https://platform.composo.ai
    description: Production server
security: []
paths:
  /api/v1/traces/{trace_id}:
    get:
      tags:
        - Traces
      summary: Get Trace Endpoint
      description: |-
        Fetch one trace with full details by id — backs deep links into the
        Traces page (e.g. from the failure-clusters panel).
      operationId: get_trace_endpoint_api_v1_traces__trace_id__get
      parameters:
        - name: trace_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Trace Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TraceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TraceResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        created_at:
          type: string
          format: date-time
          title: Created At
        tags:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Tags
        rating:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Rating
        trace:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Trace
        comments:
          items:
            $ref: '#/components/schemas/AttachCommentResponse'
          type: array
          title: Comments
        evaluations:
          items:
            $ref: '#/components/schemas/TraceEvaluation'
          type: array
          title: Evaluations
      type: object
      required:
        - id
        - created_at
        - tags
        - rating
        - trace
        - comments
        - evaluations
      title: TraceResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AttachCommentResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        trace_id:
          type: string
          format: uuid
          title: Trace Id
        comment:
          type: string
          title: Comment
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - trace_id
        - comment
        - created_at
      title: AttachCommentResponse
    TraceEvaluation:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        evaluator_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Evaluator Name
        criteria:
          anyOf:
            - type: string
            - type: 'null'
          title: Criteria
        score:
          anyOf:
            - type: number
            - type: 'null'
          title: Score
        explanation:
          anyOf:
            - type: string
            - type: 'null'
          title: Explanation
        sub_trace:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Sub Trace
        sources:
          anyOf:
            - items:
                $ref: '#/components/schemas/Source'
              type: array
            - type: 'null'
          title: Sources
        cached:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Cached
        c_cached_tokens:
          anyOf:
            - type: integer
            - type: 'null'
          title: C Cached Tokens
      type: object
      required:
        - id
        - evaluator_name
        - score
        - explanation
        - sub_trace
      title: TraceEvaluation
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    Source:
      properties:
        id:
          type: string
          title: Id
          description: Identifier of the source.
        type:
          type: string
          title: Type
          description: Type of the source.
      type: object
      required:
        - id
        - type
      title: Source

````